Bug 747575 - Unable to send file via bluetooth
Unable to send file via bluetooth
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: obexd (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
: 733847 753617 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-20 07:15 EDT by Clement
Modified: 2014-09-13 14:59 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 10:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clement 2011-10-20 07:15:43 EDT
Description of problem:
I can't send/browser files to all my bluetooth devices.

Version-Release number of selected component (if applicable):
3.1.0-0.rc9.git0.0.fc16.i686.PAE #1 SMP Wed Oct 5 15:51:55 UTC 2011 i686 i686 i386 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1.Switch on Bluetooth
2.Set up a New Device
3.Matched Paired
4.Send Files to Device
  
Actual results:
Permission denied (13)

Additional info:
Oct 20 18:54:05 clement kernel: [11850.594178] usb 1-1.6: new full speed USB device number 13 using ehci_hcd
Oct 20 18:54:05 clement kernel: [11850.683482] usb 1-1.6: New USB device found, idVendor=0489, idProduct=e00f
Oct 20 18:54:05 clement kernel: [11850.683491] usb 1-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 20 18:54:05 clement kernel: [11850.683499] usb 1-1.6: Product: Broadcom Bluetooth Device
Oct 20 18:54:05 clement kernel: [11850.683505] usb 1-1.6: Manufacturer: Broadcom Corp
Oct 20 18:54:05 clement kernel: [11850.683510] usb 1-1.6: SerialNumber: C44619BB93C7
Oct 20 18:54:05 clement bluetoothd[9969]: HCI dev 0 registered
Oct 20 18:54:05 clement bluetoothd[9969]: Listening for HCI events on hci0
Oct 20 18:54:05 clement bluetoothd[9969]: bluetoothd[9969]: HCI dev 0 registered
Oct 20 18:54:05 clement bluetoothd[9969]: bluetoothd[9969]: Listening for HCI events on hci0
Oct 20 18:54:05 clement bluetoothd[9969]: HCI dev 0 up
Oct 20 18:54:05 clement bluetoothd[9969]: bluetoothd[9969]: HCI dev 0 up
Oct 20 18:54:05 clement bluetoothd[9969]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Oct 20 18:54:05 clement bluetoothd[9969]: bluetoothd[9969]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Oct 20 18:54:05 clement bluetoothd[9969]: Adapter /org/bluez/9969/hci0 has been enabled
Oct 20 18:54:05 clement bluetoothd[9969]: bluetoothd[9969]: Adapter /org/bluez/9969/hci0 has been enabled
Oct 20 18:54:13 clement bluetoothd[9969]: Discovery session 0x21deee28 with :1.134 activated
Oct 20 18:54:13 clement bluetoothd[9969]: bluetoothd[9969]: Discovery session 0x21deee28 with :1.134 activated
Oct 20 18:54:16 clement bluetoothd[9969]: Stopping discovery
Oct 20 18:54:16 clement bluetoothd[9969]: bluetoothd[9969]: Stopping discovery
Oct 20 18:54:20 clement bluetoothd[9969]: input-headset driver probe failed for device A1:A5:D1:D2:7E:BC
Oct 20 18:54:20 clement bluetoothd[9969]: bluetoothd[9969]: input-headset driver probe failed for device A1:A5:D1:D2:7E:BC
Oct 20 18:54:29 clement bluetoothd[9969]: Discovery session 0x21df01b8 with :1.135 activated
Oct 20 18:54:29 clement bluetoothd[9969]: bluetoothd[9969]: Discovery session 0x21df01b8 with :1.135 activated
Oct 20 18:54:31 clement bluetoothd[9969]: Stopping discovery
Oct 20 18:54:31 clement bluetoothd[9969]: bluetoothd[9969]: Stopping discovery
Oct 20 18:54:32 clement bluetoothd[9969]: Mode session 0x21deffb8 with :1.96 activated
Oct 20 18:54:32 clement bluetoothd[9969]: bluetoothd[9969]: Mode session 0x21deffb8 with :1.96 activated
Oct 20 18:54:34 clement obex-client[9051]: Permission denied (13)
Oct 20 18:54:34 clement dbus-daemon[1009]: dbus[1009]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.126" (uid=0 pid=9969 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.96" (uid=1000 pid=9051 comm="/usr/libexec/obex-client ")
Oct 20 18:54:34 clement dbus[1009]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.126" (uid=0 pid=9969 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.96" (uid=1000 pid=9051 comm="/usr/libexec/obex-client ")
Comment 1 Tom Mannerhagen 2011-10-21 09:17:12 EDT
Hi

I can join this thread since I have had the exact same problem since early Alpha stage. I was hoping this would be resolved since there were some Bluetooth updates released earlier but unfortunately not.

Current software status:
Kernel 3.1.0-0.rc10.git0.1.fc16.X86_64
bluez-4.96-3.fc16(64-bit)
libselinux-2.1.5-5.1.fc16(64bit)
SE-Linux is probably in Enforcing mode (sorry for being so unspecific).

I tried both the Gnome and KDE spins which both have the same problem.

I am not able to send files from a Fedora 16 unit, and likewise not able to receive files.
It took a while for me to find that I needed to install the gnome-user-file-sharing package manually to be able to set up a receiving possibility (which is frankly speaking a bit stupid - that package should be included in the basic system).
But even after that package was installed and set up to receive transfers from *any* device, I am not able to get a file transferred.

I can find devices and pair with them without any problems.
I can also find my Fedora 16 box on other devices and pair with them.

However, I am not able to send, receive or browse remote content.

If You need any logs I am happy to provide them as long as I get some help concerning which logs / output and were / how to collect them.

Thanks
Tom
Comment 2 Clement 2011-10-21 13:11:04 EDT
This 'gnome-user-file-sharing' package isn't available. The package name should be 'gnome-user-share'. This package didn't solve our problem.
Comment 3 Paulo Castro 2011-10-27 07:24:51 EDT
Hi all.

Same problem here though slightly behind the bleeding edge curve...

Name        : bluez
Version     : 4.87
Release     : 7.fc15

Name        : kernel
Version     : 2.6.40.6
Release     : 0.fc15
Architecture: x86_64

Name        : obexd
Version     : 0.40
Release     : 2.fc15

I am able to receive files from the handset though !!!
Just can't send anything back.

Logs:
Oct 27 12:02:15 brutalix kernel: [32504.363113] usb 3-2: new full speed USB device number 3 using uhci_hcd
Oct 27 12:02:15 brutalix kernel: [32504.525177] usb 3-2: New USB device found, idVendor=0a5c, idProduct=2151
Oct 27 12:02:15 brutalix kernel: [32504.525189] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 27 12:02:15 brutalix kernel: [32504.525197] usb 3-2: Product: BCM2046 Bluetooth Device
Oct 27 12:02:15 brutalix kernel: [32504.525203] usb 3-2: Manufacturer: Broadcom Corp
Oct 27 12:02:15 brutalix kernel: [32504.525208] usb 3-2: SerialNumber: 002556C95472
Oct 27 12:02:15 brutalix bluetoothd[925]: HCI dev 0 registered
Oct 27 12:02:15 brutalix bluetoothd[925]: Listening for HCI events on hci0
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: HCI dev 0 registered
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: Listening for HCI events on hci0
Oct 27 12:02:15 brutalix bluetoothd[925]: HCI dev 0 up
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: HCI dev 0 up
Oct 27 12:02:15 brutalix bluetoothd[925]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Oct 27 12:02:15 brutalix bluetoothd[925]: input-headset driver probe failed for device FC:A1:3E:24:21:23
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: input-headset driver probe failed for device FC:A1:3E:24:21:23
Oct 27 12:02:15 brutalix bluetoothd[925]: Adapter /org/bluez/925/hci0 has been enabled
Oct 27 12:02:15 brutalix bluetoothd[925]: bluetoothd[925]: Adapter /org/bluez/925/hci0 has been enabled
Oct 27 12:02:58 brutalix bluetoothd[925]: Discovery session 0x7fec06850b20 with :1.55 activated
Oct 27 12:02:58 brutalix bluetoothd[925]: bluetoothd[925]: Discovery session 0x7fec06850b20 with :1.55 activated
Oct 27 12:03:14 brutalix bluetoothd[925]: Stopping discovery
Oct 27 12:03:14 brutalix bluetoothd[925]: bluetoothd[925]: Stopping discovery
Oct 27 12:03:15 brutalix bluetoothd[925]: input-headset driver probe failed for device FC:A1:3E:24:21:23
Oct 27 12:03:15 brutalix bluetoothd[925]: bluetoothd[925]: input-headset driver probe failed for device FC:A1:3E:24:21:23
Oct 27 12:03:22 brutalix dbus-daemon: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.55" (uid=500 pid=12896 comm="/usr/bin/bluedevil-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.4" (uid=0 pid=925 comm="/usr/sbin/bluetoothd -n "))
Oct 27 12:03:25 brutalix bluetoothd[925]: Discovery session 0x7fec0684b9a0 with :1.56 activated
Oct 27 12:03:25 brutalix bluetoothd[925]: bluetoothd[925]: Discovery session 0x7fec0684b9a0 with :1.56 activated
Oct 27 12:04:14 brutalix obex-client[12116]: Permission denied (13)
Comment 4 Michael Cronenworth 2011-11-18 10:17:56 EST
Try installing bluez-hid2hci.

# yum install bluez-hid2hci

Log out and back in and try to transfer files.
Comment 5 Hernán Schmidt 2011-11-21 23:14:26 EST
I am having the same problem.
Installing bluez-hid2hci did not solve the issue.
Pairing works, but sending or receiving files does not.
My Bluetooth mouse works fine also.
Comment 6 Tom Mannerhagen 2011-11-22 03:24:07 EST
Hi

My F16 units were all based on Alpha 1 releases and updated to current state.
All 3 (2 Gnome and 1 KDE) had the same issues.

A few days ago I needed to reinstall one of them and I used the released version of F16 Gnome, and now the issue is resolved!

I will, when time allows, reinstall the other 2 ones as well and see if this helps on them.

Maybe something for You to test as well.

Cheers!
Comment 7 Hernán Schmidt 2011-11-22 09:47:38 EST
Thanks, Tom.
Unfortunately, this is a fresh install of Fedora 16 final release (installed and updated yesterday), so I don't think it's a matter of reinstalling for me.
Cheers!
Comment 8 Daniele Viganò 2011-12-08 17:42:57 EST
Same problem for me. Sending and reciving files through bluetooth on Gnome 3 is returning "Permission denied (13)".

Fedora 16 x86_64 up-to-date

gnome-bluetooth.x86_64                1:3.2.1-2.fc16
gnome-bluetooth-libs.x86_64           1:3.2.1-2.fc16
gvfs-obexftp.x86_64                   1.10.1-2.fc16
obex-data-server.x86_64               1:0.4.6-1.fc16
obexd.x86_64                          0.42-1.fc16
openobex.x86_64                       1.5-3.fc16
Comment 9 Andrey Arapov 2012-01-20 05:58:32 EST
The same problem.. after pairing my HTC Desire HD bluetooth, cannot send files from Fedora to the phone... getting "Permission denied (13)".

Fedora 16 i686 up2date
Linux fedora 3.1.9-1.fc16.i686.PAE #1 SMP Fri Jan 13 16:57:54 UTC 2012 i686 i686 i386 GNU/Linux

openobex-1.5-3.fc16.i686
obex-data-server-0.4.6-1.fc16.i686
pulseaudio-module-bluetooth-0.9.23-1.fc16.i686
gnome-bluetooth-libs-3.2.1-2.fc16.i686
gvfs-obexftp-1.10.1-2.fc16.i686
gnome-bluetooth-3.2.1-2.fc16.i686
obexd-0.42-1.fc16.i686
Comment 10 beaver.pv 2012-01-20 08:44:33 EST
Same here. Impossible to finish pairing with N900 - code displayed corectly, but after confirmation nothing will happen, only message in /var/log/messages:

Jan 20 14:31:14 cz-r8lgkdz bluetoothd[1023]: input-headset driver probe failed for device E4:EC:10:B8:E0:D0
Jan 20 14:31:14 cz-r8lgkdz bluetoothd[1023]: bluetoothd[1023]: input-headset driver probe failed for device E4:EC:10:B8:E0:D0

Also not possible to send file from Fedora to phone.

Sending files from N900 to Fedora is working.
Comment 11 Martin 2012-11-22 13:16:50 EST
Are you still have this problem in updated Fedora 16?

And please, could you try reproduce this bug in Fedora 18 Beta RC1?
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/
Comment 12 Pierre Ossman 2012-11-22 15:21:06 EST
I've since updated to Fedora 17, and the problem remains here.

~
[drzeus@mjolnir]$ uname -a
Linux mjolnir.ossman.eu 3.6.6-1.fc17.x86_64 #1 SMP Mon Nov 5 21:59:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


This is to a Galaxy Nexus phone. I am getting a "Connection refused (111)", rather than the previous "access denied" though.
Comment 13 Martin 2012-11-23 10:42:18 EST
Pierre, are you able to reproduce this bug with Fedora 18 Beta RC1 image? There are some BT fixes, recently.
Comment 14 Pierre Ossman 2012-11-29 04:21:31 EST
Finally managed to get fedup working... And yes, Fedora 18 has a working bluetooth. At least sending a file to my GN. :)
Comment 15 Martin 2012-11-29 09:13:36 EST
Bastien is it possible to port obex push bugfix to Fedora 17?
Comment 16 Fedora End Of Life 2013-01-16 06:59:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Martin 2013-01-16 11:49:05 EST
Moving this bug to F17 version. It's should be fixed in F18, you can upgrade and check it by yourself. Otherwise write your findings here, so we can try to fix it.
Comment 18 Martin 2013-01-16 12:06:38 EST
*** Bug 733847 has been marked as a duplicate of this bug. ***
Comment 19 Martin 2013-01-16 12:07:14 EST
*** Bug 753617 has been marked as a duplicate of this bug. ***
Comment 20 Oliver Joos 2013-03-20 07:46:05 EDT
This bug might have the same cause as an Ubuntu/Mint/Debian bug I reported in late 2011 too! It could be helpful to read and try the suggestions on:
http://launchpad.net/bugs/839157

In short: I suspect that it is caused by bluetoothd failing to authorize correctly on certain bluetooth hardware like "ID 0a5c:2145 Broadcom Corp. Bluetooth" or "Hewlett-Packard Bluetooth 1.2 Interface [Broadcom BCM2035]".
in distros upto summer 2012 it was possible to workaround it by replacing /usr/sbin/bluetoothd with its older version 4.84.
Upstream http://www.bluez.org/contact/ has been informed twice in 2011 (see comment #43 on Launchpad), but meanwhile they seem to think it has been fixed since Kernel 3.3. With more details about affected systems it could be worth another effort. Interesting details are (if this bug is a duplicate):
  bluetoothd --version
  lsusb | grep -i blue
Comment 21 Fedora End Of Life 2013-07-03 16:26:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.